#
# spec file for package python-zope.i18nmessageid
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-zope.i18nmessageid
Version:        4.0.3
Release:        4.3
Url:            http://www.python.org/pypi/zope.i18nmessageid
Summary:        Zope Location
License:        ZPL-2.1
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/z/zope.i18nmessageid/zope.i18nmessageid-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
# Documentation requirements:
BuildRequires:  python-Sphinx

%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
In Zope3, i18nmessageid are special objects that has a structural i18nmessageid.

%package doc
Summary:        Zope Location
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description doc
This package contains documentation files for %{name}.

%prep
%setup -q -n zope.i18nmessageid-%{version}

%build
python setup.py build
PYTHONPATH=$(echo $(pwd)/build/lib.*) python setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
# don't bother with development files
rm -f %{buildroot}%python_sitearch/zope/i18nmessageid/_zope_i18nmessageid_message.c

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%python_sitearch/*

%files doc
%defattr(-,root,root,-)
%doc build/sphinx/html/

%changelog
* Fri May 15 2015 benoit.monin@gmx.fr
- update to version 4.0.3:
  * Added support for Python 3.4.
  * Updated boostrap.py to version 2.2.
- rename CHANGES.txt to CHANGES.rst: changed upstream
- rename README.txt to README.rst: changed upstream
* Fri Dec 27 2013 p.drouand@gmail.com
- Package CHANGES.txt, COPYRIGHT.txt, LICENSE.txt and README.txt
- Use download Url as source
* Mon Jul 29 2013 hpj@urpla.net
- version 4.0.2: initial build
